#基础镜像
FROM postgres:14.1
#容器内根：/mnt
WORKDIR /mnt
#配置文件复制
COPY postgrescnf /var/lib/postgresql/data

#解决中文乱码问题
#ENV LANG C.UTF-8
#ENV LANGUAGE zh_CN.UTF-8
#ENV LC_ALL C.UTF-8
#ENV TZ Asia/Shanghai
#其他沿用









#docker inspect，这段信息别动
#[
#    {
#        "Id": "sha256:da2cb49d7a8d1416cfc2ec6fb47b60112b3a2f276bcf7439ef18e7c505b83fc6",
#        "RepoTags": [
#            "postgres:14.1"
#        ],
#        "RepoDigests": [
#            "postgres@sha256:3162a6ead070474b27289f09eac4c865e75f93847a2d7098f718ee5a721637c4"
#        ],
#        "Parent": "",
#        "Comment": "",
#        "Created": "2022-01-27T01:10:09.170390248Z",
#        "Container": "a9ba1a5a32a6a74c2b697e05e9bffa21155021634a84633a94499ca3b847d5a2",
#        "ContainerConfig": {
#            "Hostname": "a9ba1a5a32a6",
#            "Domainname": "",
#            "User": "",
#            "AttachStdin": false,
#            "AttachStdout": false,
#            "AttachStderr": false,
#            "ExposedPorts": {
#                "5432/tcp": {}
#            },
#            "Tty": false,
#            "OpenStdin": false,
#            "StdinOnce": false,
#            "Env": [
#                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/14/bin",
#                "GOSU_VERSION=1.14",
#                "LANG=en_US.utf8",
#                "PG_MAJOR=14",
#                "PG_VERSION=14.1-1.pgdg110+1",
#                "PGDATA=/var/lib/postgresql/data"
#            ],
#            "Cmd": [
#                "/bin/sh",
#                "-c",
#                "#(nop) ",
#                "CMD [\"postgres\"]"
#            ],
#            "Image": "sha256:091d7037aafbccb2c7b44d28a9db365fbdebd505e901a8c247703c608da9e43d",
#            "Volumes": {
#                "/var/lib/postgresql/data": {}
#            },
#            "WorkingDir": "",
#            "Entrypoint": [
#                "docker-entrypoint.sh"
#            ],
#            "OnBuild": null,
#            "Labels": {},
#            "StopSignal": "SIGINT"
#        },
#        "DockerVersion": "20.10.7",
#        "Author": "",
#        "Config": {
#            "Hostname": "",
#            "Domainname": "",
#            "User": "",
#            "AttachStdin": false,
#            "AttachStdout": false,
#            "AttachStderr": false,
#            "ExposedPorts": {
#                "5432/tcp": {}
#            },
#            "Tty": false,
#            "OpenStdin": false,
#            "StdinOnce": false,
#            "Env": [
#                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/lib/postgresql/14/bin",
#                "GOSU_VERSION=1.14",
#                "LANG=en_US.utf8",
#                "PG_MAJOR=14",
#                "PG_VERSION=14.1-1.pgdg110+1",
#                "PGDATA=/var/lib/postgresql/data"
#            ],
#            "Cmd": [
#                "postgres"
#            ],
#            "Image": "sha256:091d7037aafbccb2c7b44d28a9db365fbdebd505e901a8c247703c608da9e43d",
#            "Volumes": {
#                "/var/lib/postgresql/data": {}
#            },
#            "WorkingDir": "",
#            "Entrypoint": [
#                "docker-entrypoint.sh"
#            ],
#            "OnBuild": null,
#            "Labels": null,
#            "StopSignal": "SIGINT"
#        },
#        "Architecture": "amd64",
#        "Os": "linux",
#        "Size": 374037906,
#        "VirtualSize": 374037906,
#        "GraphDriver": {
#            "Data": {
#                "LowerDir": "/var/lib/docker/overlay2/e261704c8cbc22c1e5f46dbc8a68bf44586aeca4b4665dea1615b8894791c9a7/diff:/var/lib/docker/overlay2/81f97f7d424beedab75b6489abf231fb2611c956413ba5fbbab269683436b174/diff:/var/lib/docker/overlay2/2994059e7d94423c52f0b8fa6ab19b57efe14a04e5d43225454596a1726e264a/diff:/var/lib/docker/overlay2/5f0a0b7ab201ad31f4760de6028b4adc381c3dcc5a06d238707c484d8132adfc/diff:/var/lib/docker/overlay2/dfaae7ec39d26065a2764af8731496249fb157639fe9549b67cb28344495bce8/diff:/var/lib/docker/overlay2/4c6e51499b1729ac19cf9c792295baa5d51152937fd337f9d14544f7796aa620/diff:/var/lib/docker/overlay2/bec799523e0708479525fa5f6d72102af736f8678aa848953ae2b6cbca04e672/diff:/var/lib/docker/overlay2/0f4be3623f01416f1fd6691f4d40da79444c08c620d45ce75244aedc6279c068/diff:/var/lib/docker/overlay2/90c861ce624ace25fb21eb8c79e99c024b57496923bab2074586cd7b52c96df0/diff:/var/lib/docker/overlay2/c6ed47b6177c6ae2d15786108d2ee14db4a990118f7ef151223e07cfb11b3d59/diff:/var/lib/docker/overlay2/0ac26801cf6a8b3fe2a3b1305a2d9451913c112724bd8f200a607c1a81846946/diff:/var/lib/docker/overlay2/f76ddda10867050883eab42b043a1ddbca5fc042ef93f53db0511acbdfa5035e/diff",
#                "MergedDir": "/var/lib/docker/overlay2/dc33bd5afd13c82cea677dfeb20aaf3dafbd689c4f9e6e0d30b060b80dac82ca/merged",
#                "UpperDir": "/var/lib/docker/overlay2/dc33bd5afd13c82cea677dfeb20aaf3dafbd689c4f9e6e0d30b060b80dac82ca/diff",
#                "WorkDir": "/var/lib/docker/overlay2/dc33bd5afd13c82cea677dfeb20aaf3dafbd689c4f9e6e0d30b060b80dac82ca/work"
#            },
#            "Name": "overlay2"
#        },
#        "RootFS": {
#            "Type": "layers",
#            "Layers": [
#                "sha256:7d0ebbe3f5d26c1b5ec4d5dbb6fe3205d7061f9735080b0162d550530328abd6",
#                "sha256:504d3c78f1942134301a91d83b6d2102b2c398eab2c81a76f62b9eb33f8c000b",
#                "sha256:8c1f84338867a554126fe7100341ff8174fe71e13518389803e4e1050aa8f200",
#                "sha256:10e60ad30e5f437ff02dd7273545deeeabb0d07595dae73cc0f1ea2d38a2956f",
#                "sha256:96d824739a641ee2e8f36bcd8ff576c7ba72029184aaa7c8ec5c418f5c60802f",
#                "sha256:a4b9517dfa8c2c05e3cd3423f52535a7e551ac7e4c026541742c054b19b1c5e4",
#                "sha256:f2e4fedb957df6c5380f46b9b08e2554b1936a553acbc0c77579faf53724feda",
#                "sha256:c1cf0fe2cfa15adc5603ebd8d0047d12afe9b82a634784c8b3967be55ffc33f2",
#                "sha256:469b06b8e1fd519e751e45a5c21c6a0b5981434253e41958d08c3defc7724b0a",
#                "sha256:adb28f5e87a9c6419cb648847f38f3cd61cf9932d2d754d2b6176a22ad9d7d00",
#                "sha256:bb548d9ab6d956fbb23140fac291a61a6264d4d3d6b37c8069c380dfdce21202",
#                "sha256:8fadd3fddd7ea4f521a313f64d435faf1f33fc8cce2af9c6c7dfd84567d4f913",
#                "sha256:988d526226faab58a6045a2e57903f1b7d7d546dbc4a3cfc20d028c9ccdb7bc1"
#            ]
#        },
#        "Metadata": {
#            "LastTagTime": "0001-01-01T00:00:00Z"
#        }
#    }
#]